Robotics Service Bus - Bug #2080
spread connect error
11/09/2014 10:42 AM - Q. Li

Status: Closed Start date: 11/09/2014
Priority: Normal Due date:

Assignee: Q. Li % Done: 0%
Category: Spread Connector Estimated time: 0.00 hour
Target version: rsb-0.11

Description

I am using RSB for two computer(kuka-vision and kuka-arm) communication.

The communication can be constructed, but after a short time running, programe running in kuka-vision complain the following error.
in both computer | am using rsb.conf

[transport.spread]

enabled = 1

host = kuka-arm

SP_error: (-1) lllegal spread was provided
1415524406281 rsb.transport.spread.spreadconnection [FATAL]: Error connecting to '4803@kuka-arm': connection to spread daemon
at 4803@kuka-arm failed, check port and hostname
terminate called after throwing an instance of 'rsb::CommException’

what(): Error connecting to '4803@kuka-arm': connection to spread daemon at 4803@kuka-arm failed, check port and hostname
Aborted

History

#1-11/10/2014 01:46 PM - J. Moringen

- Category set to Spread Connector

- Status changed from New to Feedback

- Assignee changed from J. Moringen to Q. Li
- Target version set to rsb-0.11

Thanks for the report. Unfortunately, it does not contain enough information to diagnose the problem. Please provide a more detailed description

according to the guidelines in the manual.

| can still say that something seems wrong:

SP_error: (-1) lllegal spread was provided

1415524406281 rsb.transport.spread.spreadconnection [FATAL]: Error connecting to '4803@kuka-arm': connection to spread daemon at
4803@kuka-arm failed, check port and hostname

terminate called after throwing an instance of 'rsb::CommException’

what(): Error connecting to '4803@kuka-arm': connection to spread daemon at 4803@kuka-arm failed, check port and hostname
Aborted

This should only happen when initially connecting to the Spread daemon. Does your program create and destroy RSB informers and/or listeners while

it runs?

#2-11/10/2014 03:08 PM - Q. Li
http://docs.cor-lab.de//rsb-manual/trunk/html/troubleshooting.html#reporting-bugs

Thanks, Jan.

| find the problem. | am creating/destroy the informer during its running. My problem is solved.

#3 - 11/10/2014 03:17 PM - J. Moringen
- Status changed from Feedback to Closed
